import { IoTizeDevice } from '@iotize/device-client.js';
declare module '@iotize/device-client.js/device/iotize-device' {
    interface IoTizeDevice {
        factoryReset(): Promise<any>;
    }
}
export declare function factoryReset(this: IoTizeDevice): Promise<void>;
